># <b># TorchesAreFires</b>

A simple mod that tweaks torch, groundtorch and walltorch behave like a campfire.

<br/>

![](https://i.ibb.co/L1PST4d/ss.png)
![](https://i.ibb.co/RPt0rxR/ss1.png)

<br/>

>## ## Installation (manual)

- extract `TorchesAreFires.dll` file to your `BepInEx\Plugins\` folder

<br/>

>## ## Features

- Tweaks torches, groundtorches and walltorches behave like a campfire.
- You no longer have to worry about Cold in the night or Freezing in the mountain, just carry a torch.
- You no longer need to build your bed besides a firepit, just build a groundtorch or a walltorch besides it.
- Configurable burn rate, and balancing options for cold biomes and weather factors.
- Uses serversync and built-in config watcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

>## ## Changelog
<br/>

v1.0.4
- added balancing options like toggle option to make torches burn faster at cold biomes, toggle option to make environment factors like rains affects torches burn rate, also added torch burn rate if the above 2 options is On.
- added serversync and configwatcher.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.0.3
- fixed fire buff not applying when torch is being held or near a torch

v1.0.2
- updated to the latest valheim build (217.28)
- updated dependencies
- updated manifests bepinex dependency string

v1.0.1
- updated to the latest valheim build (217.14) hilders request.

v1.0.0
- first release.

</details>